/*
 * Copyright (c) 2011-2017, Peter Abeles. All Rights Reserved.
 *
 * This file is part of BoofCV (http://boofcv.org).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package boofcv.alg.feature.describe.impl;


import boofcv.alg.feature.describe.BaseTestDescribePointBinaryCompare;
import boofcv.alg.feature.describe.DescribePointBinaryCompare;
import boofcv.alg.feature.describe.brief.BinaryCompareDefinition_I32;
import boofcv.struct.image.GrayU8;

/**
 * @author Peter Abeles
 */
public class TestImplDescribeBinaryCompare_U8 extends BaseTestDescribePointBinaryCompare<GrayU8> {
	public TestImplDescribeBinaryCompare_U8() {
		super(GrayU8.class);
	}

	@Override
	protected DescribePointBinaryCompare<GrayU8> createAlg(BinaryCompareDefinition_I32 def) {
		return new ImplDescribeBinaryCompare_U8(def);
	}
}
